# Class: TimeUUID

## TimeUUID

#### new TimeUUID

  TimeUUID

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | String | The TimeUUID to craete a TimeUUID object from

  Source:
    - uuid.js, line 66

### Methods

#### <static> fromBinary

  Creates a TimeUUID from a binary string

  Source:
    - uuid.js, line 95

#### <static> fromBuffer

  Creates a TimeUUID from a buffer

  Source:
    - uuid.js, line 87

#### <static> fromTimestamp

  Creates a TimeUUID from a Timestamp

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `ts` | Date | The Timestamp to create the TimeUUID from

  Source:
    - uuid.js, line 79